[arch-commits] Commit in perl-dbd-mysql/repos (4 files)

Bartłomiej Piotrowski bpiotrowski at archlinux.org
Thu Nov 6 19:26:59 UTC 2014


    Date: Thursday, November 6, 2014 @ 20:26:58
  Author: bpiotrowski
Revision: 225696

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  perl-dbd-mysql/repos/extra-i686/PKGBUILD
    (from rev 225695, perl-dbd-mysql/trunk/PKGBUILD)
  perl-dbd-mysql/repos/extra-x86_64/PKGBUILD
    (from rev 225695, perl-dbd-mysql/trunk/PKGBUILD)
Deleted:
  perl-dbd-mysql/repos/extra-i686/PKGBUILD
  perl-dbd-mysql/repos/extra-x86_64/PKGBUILD

-----------------------+
 /PKGBUILD             |   88 ++++++++++++++++++++++++++++++++++++++++++++++++
 extra-i686/PKGBUILD   |   44 ------------------------
 extra-x86_64/PKGBUILD |   44 ------------------------
 3 files changed, 88 insertions(+), 88 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2014-11-06 19:26:46 UTC (rev 225695)
+++ extra-i686/PKGBUILD	2014-11-06 19:26:58 UTC (rev 225696)
@@ -1,44 +0,0 @@
-# $Id$
-# Maintainer: Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
-# Contributor: kevin <kevin at archlinux.org>
-# Contributor: Eric Johnson <eric at coding-zone.com>
-
-pkgname=perl-dbd-mysql
-_realname=DBD-mysql
-pkgver=4.027
-pkgrel=2
-pkgdesc='Perl/CPAN DBD::mysql module for interacting with MySQL via DBD'
-arch=('i686' 'x86_64')
-license=('GPL' 'PerlArtistic')
-url="http://search.cpan.org/dist/$_realname/"
-depends=('libmariadbclient' 'perl-dbi')
-makedepends=('mariadb')
-options=('!emptydirs')
-source=(http://search.cpan.org/CPAN/authors/id/C/CA/CAPTTOFU/${_realname}-${pkgver}.tar.gz)
-md5sums=('11fa6449715ba9d3fa5f4ee5ae688d6f')
-
-build() {
-  cd $_realname-$pkgver
-  perl Makefile.PL INSTALLDIRS=vendor --testsocket=/tmp/socket.mysql
-  make
-}
-
-check() {
-  cd $_realname-$pkgver
-  mkdir -p /tmp/mysql_test
-  mysql_install_db \
-     --basedir=/usr \
-     --datadir=/tmp/mysql_test
-  mysqld -P 17999 \
-     --socket=/tmp/socket.mysql \
-     --datadir=/tmp/mysql_test &
-  sleep 10
-  DAEMON_PORT=$!
-  make test || true
-  kill -9 $DAEMON_PORT
-}
-
-package() {
-  cd $_realname-$pkgver
-  make install DESTDIR="$pkgdir"
-}

Copied: perl-dbd-mysql/repos/extra-i686/PKGBUILD (from rev 225695, perl-dbd-mysql/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2014-11-06 19:26:58 UTC (rev 225696)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer: Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: kevin <kevin at archlinux.org>
+# Contributor: Eric Johnson <eric at coding-zone.com>
+
+pkgname=perl-dbd-mysql
+_realname=DBD-mysql
+pkgver=4.028
+pkgrel=1
+pkgdesc='Perl/CPAN DBD::mysql module for interacting with MySQL via DBD'
+arch=('i686' 'x86_64')
+license=('GPL' 'PerlArtistic')
+url="http://search.cpan.org/dist/$_realname/"
+depends=('libmariadbclient' 'perl-dbi')
+makedepends=('mariadb')
+options=('!emptydirs')
+source=(http://search.cpan.org/CPAN/authors/id/C/CA/CAPTTOFU/${_realname}-${pkgver}.tar.gz)
+md5sums=('f0ecda20a991fe7cf806fdee5a250f24')
+
+build() {
+  cd $_realname-$pkgver
+  perl Makefile.PL INSTALLDIRS=vendor --testsocket=/tmp/socket.mysql
+  make
+}
+
+check() {
+  cd $_realname-$pkgver
+  mkdir -p /tmp/mysql_test
+  mysql_install_db \
+     --basedir=/usr \
+     --datadir=/tmp/mysql_test
+  mysqld -P 17999 \
+     --socket=/tmp/socket.mysql \
+     --datadir=/tmp/mysql_test &
+  sleep 10
+  DAEMON_PORT=$!
+  make test || true
+  kill -9 $DAEMON_PORT
+}
+
+package() {
+  cd $_realname-$pkgver
+  make install DESTDIR="$pkgdir"
+}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2014-11-06 19:26:46 UTC (rev 225695)
+++ extra-x86_64/PKGBUILD	2014-11-06 19:26:58 UTC (rev 225696)
@@ -1,44 +0,0 @@
-# $Id$
-# Maintainer: Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
-# Contributor: kevin <kevin at archlinux.org>
-# Contributor: Eric Johnson <eric at coding-zone.com>
-
-pkgname=perl-dbd-mysql
-_realname=DBD-mysql
-pkgver=4.027
-pkgrel=2
-pkgdesc='Perl/CPAN DBD::mysql module for interacting with MySQL via DBD'
-arch=('i686' 'x86_64')
-license=('GPL' 'PerlArtistic')
-url="http://search.cpan.org/dist/$_realname/"
-depends=('libmariadbclient' 'perl-dbi')
-makedepends=('mariadb')
-options=('!emptydirs')
-source=(http://search.cpan.org/CPAN/authors/id/C/CA/CAPTTOFU/${_realname}-${pkgver}.tar.gz)
-md5sums=('11fa6449715ba9d3fa5f4ee5ae688d6f')
-
-build() {
-  cd $_realname-$pkgver
-  perl Makefile.PL INSTALLDIRS=vendor --testsocket=/tmp/socket.mysql
-  make
-}
-
-check() {
-  cd $_realname-$pkgver
-  mkdir -p /tmp/mysql_test
-  mysql_install_db \
-     --basedir=/usr \
-     --datadir=/tmp/mysql_test
-  mysqld -P 17999 \
-     --socket=/tmp/socket.mysql \
-     --datadir=/tmp/mysql_test &
-  sleep 10
-  DAEMON_PORT=$!
-  make test || true
-  kill -9 $DAEMON_PORT
-}
-
-package() {
-  cd $_realname-$pkgver
-  make install DESTDIR="$pkgdir"
-}

Copied: perl-dbd-mysql/repos/extra-x86_64/PKGBUILD (from rev 225695, perl-dbd-mysql/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2014-11-06 19:26:58 UTC (rev 225696)
@@ -0,0 +1,44 @@
+# $Id$
+# Maintainer: Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: kevin <kevin at archlinux.org>
+# Contributor: Eric Johnson <eric at coding-zone.com>
+
+pkgname=perl-dbd-mysql
+_realname=DBD-mysql
+pkgver=4.028
+pkgrel=1
+pkgdesc='Perl/CPAN DBD::mysql module for interacting with MySQL via DBD'
+arch=('i686' 'x86_64')
+license=('GPL' 'PerlArtistic')
+url="http://search.cpan.org/dist/$_realname/"
+depends=('libmariadbclient' 'perl-dbi')
+makedepends=('mariadb')
+options=('!emptydirs')
+source=(http://search.cpan.org/CPAN/authors/id/C/CA/CAPTTOFU/${_realname}-${pkgver}.tar.gz)
+md5sums=('f0ecda20a991fe7cf806fdee5a250f24')
+
+build() {
+  cd $_realname-$pkgver
+  perl Makefile.PL INSTALLDIRS=vendor --testsocket=/tmp/socket.mysql
+  make
+}
+
+check() {
+  cd $_realname-$pkgver
+  mkdir -p /tmp/mysql_test
+  mysql_install_db \
+     --basedir=/usr \
+     --datadir=/tmp/mysql_test
+  mysqld -P 17999 \
+     --socket=/tmp/socket.mysql \
+     --datadir=/tmp/mysql_test &
+  sleep 10
+  DAEMON_PORT=$!
+  make test || true
+  kill -9 $DAEMON_PORT
+}
+
+package() {
+  cd $_realname-$pkgver
+  make install DESTDIR="$pkgdir"
+}


More information about the arch-commits mailing list